# Please keep this package in sync with FC

%define rname libvirt-python
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:	The libvirt virtualization API python2 binding
Name:		python-libvirt
Version:	5.5.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Python
URL:		http://libvirt.org
Source0:	http://libvirt.org/sources/python/%{rname}-%{version}.tar.gz
BuildRequires:	pkgconfig(libvirt) >= 1.2.0
BuildRequires:	libvirt-utils >= 1.2.0
BuildRequires:	pkgconfig(python)
BuildRequires:	python3-devel

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n python2-libvirt
Summary: The libvirt virtualization API python2 binding
Url: http://libvirt.org
License: LGPLv2+
Group: Development/Python
%{?python_provide:%python_provide python2-libvirt}
Provides: libvirt-python = %{version}-%{release}
Obsoletes: libvirt-python <= 3.6.0-1%{?dist}

%description -n python2-libvirt
The python2-libvirt package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n	python3-libvirt
Summary:	The libvirt virtualization API python3 binding
Group:		Development/Python

%description -n	python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep

%autosetup -p1 -n %{rname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-libvirt
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python2_sitearch}/libvirt.py*
%{python2_sitearch}/libvirt_qemu.py*
%{python2_sitearch}/libvirt_lxc.py*
%{python2_sitearch}/libvirtmod*
%{python2_sitearch}/*egg-info

%files -n python3-libvirt
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info


%changelog
* Fri Dec 13 2019 luigiwalser <luigiwalser> 5.5.0-1.mga7
+ Revision: 1466191
- 5.5.0 (mga#24757)

* Thu Apr 04 2019 tv <tv> 5.2.0-1.mga7
+ Revision: 1385752
- 5.2.0

* Tue Mar 05 2019 tv <tv> 5.1.0-1.mga7
+ Revision: 1371620
- new release

* Wed Jan 23 2019 tv <tv> 5.0.0-1.mga7
+ Revision: 1360274
- new release

* Tue Jan 08 2019 tv <tv> 4.10.0-2.mga7
+ Revision: 1351607
- rebuild with python 3.7

* Tue Dec 04 2018 tv <tv> 4.10.0-1.mga7
+ Revision: 1338190
- 4.10.0

* Tue Nov 13 2018 tv <tv> 4.9.0-1.mga7
+ Revision: 1329710
- new release

* Thu Sep 06 2018 tv <tv> 4.7.0-1.mga7
+ Revision: 1257451
- new release

* Wed Aug 08 2018 tv <tv> 4.6.0-1.mga7
+ Revision: 1250411
- new release

* Thu Jul 05 2018 tv <tv> 4.5.0-1.mga7
+ Revision: 1241761
- new release

* Wed Jun 13 2018 tv <tv> 4.4.0-1.mga7
+ Revision: 1236699
- new release

* Thu May 31 2018 tv <tv> 4.3.0-1.mga7
+ Revision: 1233253
- new release

* Wed Apr 11 2018 tv <tv> 4.2.0-1.mga7
+ Revision: 1217503
- new release

* Tue Mar 27 2018 tv <tv> 4.1.0-1.mga7
+ Revision: 1212762
- new release

* Sat Mar 03 2018 tv <tv> 4.0.0-1.mga7
+ Revision: 1206413
- rename py2 pkg as python2-libvirt
- new version
- fix pkg name in description

* Wed Oct 11 2017 tv <tv> 3.8.0-1.mga7
+ Revision: 1170957
- new release

* Sat Aug 05 2017 pterjan <pterjan> 3.5.0-1.mga7
+ Revision: 1136972
- Update to 3.5.0
- Rebuild for python 3.6

* Sun Jun 04 2017 luigiwalser <luigiwalser> 3.3.0-1.mga6
+ Revision: 1106406
- 3.3.0

* Tue May 03 2016 tv <tv> 1.3.4-1.mga6
+ Revision: 1008919
- new release

* Wed Apr 13 2016 tv <tv> 1.3.3-1.mga6
+ Revision: 1001065
- new release

* Sat Mar 05 2016 philippem <philippem> 1.3.2-2.mga6
+ Revision: 986064
- use new macros, follow the Python policy

* Fri Mar 04 2016 oden <oden> 1.3.2-1.mga6
+ Revision: 985668
- 1.3.2

* Tue Feb 16 2016 umeabot <umeabot> 1.2.9-4.mga6
+ Revision: 962240
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2.9-3.mga6
+ Revision: 887454
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.9-2.mga5
+ Revision: 749578
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1.2.9-1.mga5
+ Revision: 733840
- 1.2.9
+ tv <tv>
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 fwang <fwang> 1.2.5-1.mga5
+ Revision: 632768
- 1.2.5
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Jan 24 2014 tmb <tmb> 1.2.1-1.mga4
+ Revision: 568093
- BR libvirt-utils
+ oden <oden>
- imported package python-libvirt


* Fri Jan 24 2014 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1
- initial Mageia package (fedora import)

* Tue Jan 21 2014 Daniel P. Berrange <berrange@redhat.com> - 1.2.1-1
- Update to 1.2.1 release
- Add libvirt-python3 package

* Mon Nov 25 2013 Daniel P. Berrange <berrange@redhat.com> - 1.2.0-1
- Initial package after split from libvirt RPM (rhbz #1034347)
